org.apache.ignite.internal.managers.failover

## Class GridFailoverManager

- java.lang.Object
- - org.apache.ignite.internal.managers.GridManagerAdapter<FailoverSpi>
  - - org.apache.ignite.internal.managers.failover.GridFailoverManager

All Implemented Interfaces:
  GridComponent, GridManager

    public class GridFailoverManager
    extends GridManagerAdapter<FailoverSpi>

Grid failover spi manager.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.ignite.internal.GridComponent

`GridComponent.DiscoveryDataExchangeType`

### Field Summary

### Fields inherited from class org.apache.ignite.internal.managers.GridManagerAdapter

`ctx, log`

### Constructor Summary

Constructors
Constructor and Description
`GridFailoverManager(GridKernalContext ctx)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ClusterNode` `failover(GridTaskSessionImpl taskSes, ComputeJobResult jobRes, List<ClusterNode> top, int affPartId, @Nullable String affCacheName, @Nullable AffinityTopologyVersion topVer)`
`void` `start()` Starts grid component.
`void` `stop(boolean cancel)` Stops grid component.

### Methods inherited from class org.apache.ignite.internal.managers.GridManagerAdapter

`assertParameter, collectGridNodeData, collectJoiningNodeData, discoveryDataType, enabled, getSpi, getSpi, getSpis, inject, onAfterSpiStart, onBeforeSpiStart, onDisconnected, onGridDataReceived, onJoiningNodeDataReceived, onKernalStart, onKernalStart0, onKernalStop, onKernalStop0, onReconnected, printMemoryStats, startInfo, startSpi, stopInfo, stopSpi, toString, validateNode, validateNode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridFailoverManager

    public GridFailoverManager(GridKernalContext ctx)

Parameters:
  `ctx` - Kernal context.

### Method Detail

#### start

    public void start()
               throws IgniteCheckedException

Starts grid component.

Throws:
  `IgniteCheckedException` - Throws in case of any errors.

#### stop

    public void stop(boolean cancel)
              throws IgniteCheckedException

Stops grid component.

Parameters:
  `cancel` - If `true`, then all ongoing tasks or jobs for relevant components need to be cancelled.
Throws:
  `IgniteCheckedException` - Thrown in case of any errors.

#### failover

    public ClusterNode failover(GridTaskSessionImpl taskSes,
                                ComputeJobResult jobRes,
                                List<ClusterNode> top,
                                int affPartId,
                                @Nullable
                                @Nullable String affCacheName,
                                @Nullable
                                @Nullable AffinityTopologyVersion topVer)

Parameters:
  `taskSes` - Task session.
  `jobRes` - Job result.
  `top` - Collection of all topology nodes.
  `affPartId` - Partition number.
  `affCacheName` - Affinity cache name.
  `topVer` - Affinity topology version.
Returns:
  New node to route this job to.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020